//
//  DeviceDirectionManager.m
//  Lighting
//
//  Created by mac on 16/5/26.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "DeviceDirectionManager.h"
//支持横竖屏单例
@implementation DeviceDirectionManager
+ (DeviceDirectionManager *)instance{
    static dispatch_once_t onceToken;
    static DeviceDirectionManager *_instance = nil;
    dispatch_once(&onceToken, ^{
        _instance = [[DeviceDirectionManager alloc] init];
    });
    assert(_instance!=nil);
    return _instance;
}

@end
